[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonMapper.OnRun

Event called when the daemons are executed.

## Declaration

Source position: daemonapp.pp line 316

`published property TCustomDaemonMapper.OnRun : TNotifyEvent read FOnRun write FOnRun;`

## Description

OnRun is the event called when the daemon application is executed to run the daemons (with command-line parameter '-r'). it is called exactly once.

## See also

OnInstall |  | Event called when the daemons are installed
OnUnInstall |  | Event called when the daemons are uninstalled
OnCreate |  | Event called when the daemon mapper is created
OnDestroy |  | Event called when the daemon mapper is freed.